<template>
    <v-card
        id="bronze-pricing-plan"
        class="pricing-cards pt-4"
        :class="[{'selected': trialSelectedPlan}, className, trialClassName]"
        :min-height="heightPlan"
        max-width="400">
        <v-card-title class="instagram-growth-plan-name">
            {{ planInfo.name }}
        </v-card-title>
        <v-card-text>
            <div class="my-4 price">
                <span class="instagram-growth-plan-price">free until {{ freeTrialExpireDate }}</span>
            </div>
            <div v-if="descriptionPlan" class="pricing-description text-left mb-4">
                {{ planInfo.description }}
            </div>
            <div>
                <ul class="benefits pl-0" :class="listBenefitClass">
                    <li v-for="benefit in planInfo.benefits.allow"
                        :key="benefit"
                        class="text-left">
                        <v-icon class="pr-2 benefit-check-icon">
                            mdi-check
                        </v-icon>
                        <span class="growth-benefit-allow">{{ benefit }}</span>
                    </li>
                    <li v-for="benefit in planInfo.benefits.disabled"
                        :key="benefit"
                        class="text-left">
                        <v-icon class="pr-2 benefit-disabled-icon">
                            mdi-close
                        </v-icon>
                        <span class="growth-benefit-disabled">{{ benefit }}</span>
                    </li>
                </ul>
            </div>
            <div v-if="submitBtn" class="text-center select-pricing">
                <v-btn
                    class="px-12"
                    color="#FD1D1D"
                    dark
                    @click="choosePackage">
                    Select
                </v-btn>
            </div>
        </v-card-text>
    </v-card>
</template>
<script>
export default {
    name: 'FreeTrialCard',
    props: {
        trialSelectedPlan: {
            type: Boolean,
            default: false
        },
        className: {
            type: String,
            default: ''
        },
        trialClassName: {
            type: String,
            default: ''
        },
        submitBtn: {
            type: Boolean,
            default: true
        },
        heightPlan: {
            type: String,
            default: ''
        },
        descriptionPlan: {
            type: Boolean,
            default: true,
        },
        listBenefitClass: {
            type: String,
            default: ''
        }
    },
    data: () => ({
        planInfo: {
            name: '7 days free trial',
            description: 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque habitant morbi tristique senectus et netus.',
            price: '-',
            benefits: {
                allow: ['test benefit 1', 'test benefit 2', 'test benefit 3'],
                disabled: ['test benefit 4', 'test benefit 5', 'test benefit 6']
            }
        }
    }),
    computed: {
        freeTrialExpireDate() {
            let date = '';
            let today = new Date();
            let dd = today.getDate() + 7;
            let mm = today.getMonth() + 1;
            let yyyy = today.getFullYear();

            today = mm + '/' + dd + '/' + yyyy;
            date = today;
            return date;
        }

    },
    methods: {
        choosePackage() {
            this.$emit('choosePackage', this.planInfo)
        }
    }
}
</script>

<style lang="scss" scoped>
    .v-card__title {
        flex-direction: column;
    }
</style>
